/* MySQL */
#include "null_bug_udf.h"

long long null_bug(UDF_INIT *null, UDF_ARGS *args, char *is_null, char *error)
{
	if (0 < args->lengths[0])
		if (STRING_RESULT == args->arg_type[0] || DECIMAL_RESULT == args->arg_type[0])
		{
			char* test= new char(args->lengths[0] + 1);
			memcpy(test, args->args[0], args->lengths[0]);
			test[args->lengths[0]]= '\0';
			fprintf(stderr, "string: %s\n", test);
		}
		else if (INT_RESULT == args->arg_type[0])
			fprintf(stderr, "numeric: %lld\n", *((long long*) args->args[0]));
		else if (REAL_RESULT == args->arg_type[0])
                        fprintf(stderr, "numeric: %e\n", *((double*) args->args[0]));

	return 1;
}


my_bool null_bug_init(UDF_INIT *null, UDF_ARGS *args, char *message)
{
  null->maybe_null= 1;
  null->const_item= 0;
  
  return 0;
}


void null_bug_deinit(UDF_INIT *null)
{
}
